> ## Documentation Index
> Fetch the complete documentation index at: https://platform.perso.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List embed contexts

> Returns the embed contexts on your account. An embed context is a reusable configuration for an embeddable AI-human widget — its avatar, voice, background, and prompt.



## OpenAPI

````yaml /specs/openapi-interactive.json get /api/console/b2c/contexts/
openapi: 3.0.3
info:
  title: Perso Interactive API
  version: 0.0.0
servers:
  - url: https://platform.perso.ai
security: []
tags:
  - name: Embed
paths:
  /api/console/b2c/contexts/:
    get:
      tags:
        - Embed
      summary: List embed contexts
      description: >-
        Returns the embed contexts on your account. An embed context is a
        reusable configuration for an embeddable AI-human widget — its avatar,
        voice, background, and prompt.
      operationId: console_b2c_contexts_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Context'
          description: ''
      security:
        - PersoPlatform-APIKey: []
        - cookieAuth: []
components:
  schemas:
    Context:
      type: object
      description: Console serializer for Context CRUD.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        context_id:
          type: string
          readOnly: true
        name:
          type: string
          maxLength: 200
        greeting:
          type: string
        instructions:
          type: string
        tts_type:
          type: string
        model_style:
          type: string
        background_image:
          type: string
          nullable: true
        max_session_sec:
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        is_active:
          type: boolean
        embed_config: {}
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - context_id
        - created_at
        - id
        - model_style
        - name
        - tts_type
        - updated_at
  securitySchemes:
    PersoPlatform-APIKey:
      type: apiKey
      in: header
      name: PersoPlatform-APIKey
    cookieAuth:
      type: apiKey
      in: cookie
      name: sessionid

````